> ## Documentation Index
> Fetch the complete documentation index at: https://60db.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Profile

> Update the authenticated user's profile

## Request

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token with your API key
</ParamField>

<ParamField header="Content-Type" type="string" required>
  application/json
</ParamField>

### Body

<ParamField body="name" type="string">
  Updated user name
</ParamField>

<ParamField body="company" type="string">
  Updated company name
</ParamField>

## Response

<ResponseField name="id" type="string">
  User ID
</ResponseField>

<ResponseField name="email" type="string">
  User email
</ResponseField>

<ResponseField name="name" type="string">
  Updated name
</ResponseField>

<ResponseField name="company" type="string">
  Updated company
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PUT https://api.60db.ai/auth/profile \
    -H "Authorization: Bearer your-api-key" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Jane Doe",
      "company": "New Company Inc"
    }'
  ```

  ```javascript JavaScript theme={null}
  await client.updateProfile({
    name: "Jane Doe",
    company: "New Company Inc",
  });
  ```

  ```python Python theme={null}
  client.update_profile(
      name='Jane Doe',
      company='New Company Inc'
  )
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "user-123",
    "email": "user@example.com",
    "name": "Jane Doe",
    "company": "New Company Inc",
    "updated_at": "2026-01-29T11:35:00Z"
  }
  ```
</ResponseExample>
